LICENSE 2.28 KB
Newer Older
1
Libav:
2
------
3

4
Most files in Libav are under the GNU Lesser General Public License version 2.1
5 6
or later (LGPL v2.1+). Read the file COPYING.LGPLv2.1 for details. Some other
files have MIT/X11/BSD-style licenses. In combination the LGPL v2.1+ applies to
7
Libav.
8

9
Some optional parts of Libav are licensed under the GNU General Public License
10
version 2 or later (GPL v2+). See the file COPYING.GPLv2 for details. None of
11
these parts are used by default, you have to explicitly pass --enable-gpl to
12
configure to activate them. In this case, Libav's license changes to GPL v2+.
13

14
Specifically, the GPL parts of Libav are
15 16

- the X11 grabber in libavdevice/x11grab.c
17 18 19 20 21 22 23 24
- the texi2pod.pl tool
- the following filters in libavfilter:
    - vf_blackframe.c
    - vf_boxblur.c
    - vf_cropdetect.c
    - vf_delogo.c
    - vf_hqdn3d.c
    - vf_yadif.c
25

26 27
There are a handful of files under other licensing terms, namely:

28 29 30 31 32 33
* The files libavcodec/jfdctfst.c, libavcodec/jfdctint_template.c and
  libavcodec/jrevdct.c are taken from libjpeg, see the top of the files for
  licensing details. Specifically note that you must credit the IJG in the
  documentation accompanying your program if you only distribute executables.
  You must also indicate any changes including additions and deletions to
  those three files in the documentation.
34

35 36 37 38 39
Should you, for whatever reason, prefer to use version 3 of the (L)GPL, then
the configure parameter --enable-version3 will activate this licensing option
for you. Read the file COPYING.LGPLv3 or, if you have enabled GPL parts,
COPYING.GPLv3 to learn the exact legal terms that apply in this case.

40 41 42 43

external libraries:
-------------------

44
Some external libraries, e.g. libx264, are under GPL and can be used in
45
conjunction with Libav. They require --enable-gpl to be passed to configure
46 47
as well.

48 49
The OpenCORE external libraries are under the Apache License 2.0. That license
is incompatible with the LGPL v2.1 and the GPL v2, but not with version 3 of
50
those licenses. So to combine the OpenCORE libraries with Libav, the license
51 52
version needs to be upgraded by passing --enable-version3 to configure.

53
The nonfree external library libfaac can be hooked up in Libav. You need to
54
pass --enable-nonfree to configure to enable it. Employ this option with care
55
as Libav then becomes nonfree and unredistributable.